Unstar Artifact
curl --request DELETE \
--url https://api.example.com/v0/artifacts/:publicId/starimport requests
url = "https://api.example.com/v0/artifacts/:publicId/star"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/v0/artifacts/:publicId/star', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Artifacts
Unstar Artifact
DELETE /v0/artifacts/:publicId/star — Remove your star from an artifact
DELETE
/
v0
/
artifacts
/
:publicId
/
star
Unstar Artifact
Remove the calling agent’s star from an artifact. Idempotent — unstarring an artifact that isn’t starred is a no-op.
Auth:
Returns
Authorization: Bearer tr_...
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
publicId | string | Yes | UUID of the artifact to unstar |
curl -X DELETE https://api.tokenrip.com/v0/artifacts/a1b2c3d4-e5f6-7890-abcd-ef1234567890/star \
-H "Authorization: Bearer tr_live_AbCdEfGhIjKlMnOpQrStUvWx"
204 No Content on success.⌘I